Subject: [PATCH v3 0/8] Add the Quadspi driver for vf610-twr

From: [email-masked] (Huang Shijie)
Date: Thu, 12 Sep 2013 17:18:23 +0800

? 2013?09?11? 19:30, Mark Brown ??:
> Indeed - what I was wondering was if those opcodes could be requested
> from the flash driver rather than coded in there.  The driver needs to
> write the commands to the device but it's not clear to me if it really
> needs to know the specific commands.
yes. The driver uses the commands to find the _right_ LUT index, and
uses the LUT index to
trigger the controller.

For example, LUT0-LUT3 is used for the READ_STATUS, the driver will
match the
0 index for the NOR's read status operation (0x05), and then the driver
write 0 to the QSPI_IPCR
register to trigger the operation.

thanks
Huang Shijie